View Issue Details

IDProjectCategoryView StatusLast Update
0000596Main CAcert Websiteaccount administrationpublic2013-01-15 02:50
ReporterC_A Assigned ToNEOatNHNG  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Fixed in Version2011 Q4 
Summary0000596: add column serial# in certs overviews (client, server, orgclient, orgserver)
DescriptionIt would be nice to have the certificate serial displayed on the client certificate view page ( https://secure.cacert.org/account.php?id=5&viewall=1 )
so that a certificate can easily be identified without having to look for the expire dates.
TagsNo tags attached.
Reviewed byTed
Test Instructions

Relationships

has duplicate 0000580 closedINOPIAE Client cert overview missing cert serial. 
related to 0000782 closedNEOatNHNG Add "notes" field to certificate information 

Activities

moh

2011-09-05 11:35

updater   ~0002405

Last edited: 2011-09-05 12:10

View 4 revisions

The Problem still exists...

Without looking at the expiry date there is no possibility to identify your Cert.

There is an approach for the new 5.php attached
I added the lines 28 and 42 and 89
and changed the colspan value to 7 in Line 22 and 59

The actual Filename is: "5-mit serial_korrigiert2.php"

moh

2011-09-05 12:10

updater  

moh

2011-09-05 12:13

updater   ~0002406

Last edited: 2011-09-05 12:15

View 2 revisions

Please Check "5-mit_serial_korrigiert2.php" and review. Thanks.

INOPIAE

2011-09-05 12:15

updater   ~0002407

I tested 5-mit_serial_korrigiert2.php successful on my local testserver

Ted

2011-09-06 22:02

administrator   ~0002415

Checked in to git branch bug-596, did first review, merged into master branch and installed on the testserver

Ted

2011-09-06 22:03

administrator   ~0002416

A quick test looks ok, the same change should be applied to the list of Org Client Certs (https://secure1.it-sls.de/account.php?id=18).

INOPIAE

2011-09-07 04:46

updater   ~0002417

The test of account/5.php shows the expected view if looged in with an account with cleints cert as well in an account without client certs.

Should the others Cert Views
server certs https://cacert1.it-sls.de/account.php?id=12
gpg cdrts https://secure1.it-sls.de/gpg.php?id=2
org server certs https://secure1.it-sls.de/account.php?id=22
be changed as well?

moh

2011-09-07 08:39

updater   ~0002418

The same approach which is checked in with 5.php (see above)
was implemented for the other files I uploaded:
12.php; 18.php; 22.php

The GPG-Certs haven't a Serial field in the database. Minimum i didn't found one...

Please review and test. Thanks!

moh

2011-09-07 08:42

updater   ~0002419

Please check my fixes in the new files and report.

As I can see the files are ready for review and transfer to the Test-System...

INOPIAE

2011-09-10 06:22

updater  

account 12.php (3,857 bytes)

INOPIAE

2011-09-10 06:22

updater  

account 18.php (3,959 bytes)

INOPIAE

2011-09-10 06:23

updater  

account 22.php (3,866 bytes)

INOPIAE

2011-09-10 06:25

updater   ~0002422

I corrected the files account 12.php, account 18.php and account 22.php and exchanged them in the attachments

Ted

2011-09-14 22:06

administrator   ~0002435

Added changes to branch bug-596, merged into master and installed on testserver.

Code review done, still needs testing and second review.

Ted

2011-09-18 21:58

administrator   ~0002463

Did some tests:

- List of client certificates contains serial ==> OK
- List of server certificates contains serial ==> OK
- List of org client certificates contains serial ==> OK
- List of org server certificates contains serial ==> OK
- Serial number from list corresponds to org server cert serial ==> OK

Tests successful

moh

2011-09-20 07:07

updater   ~0002468

Did also some testing:

- List of client certificates contains serial ==> OK
- List of server certificates contains serial ==> OK
- List of org client certificates contains serial ==> OK
- List of org server certificates contains serial ==> OK
- Serial number from list corresponds to org server cert serial ==> OK

Tests successful!
IMHO: After 2nd review, going online?

Uli60

2011-09-22 02:08

updater   ~0002484

Last edited: 2011-09-22 02:10

View 2 revisions

ulrich@c.o
client certs: 4 active, 3 pending, ser displayed, pending ser# is empty -> ok
gpg: 3 -> displays keyID -> ok
server: 0 -> column ser# exist -> ok
org client: 0 -> column ser# exist -> ok
org server: 0 -> column ser# exist -> ok


wolfgang@wiamail.de
client certs: 12 active, ser displayed, -> ok
gpg: 0 -> no ser# but keyID -> ok
server: 6 active, ser displayed, -> ok

orgadmin@wiamail.de
client cert: 3 active, ser displayed -> ok
gpg: 0 -> no ser# but keyID -> ok
server: 1, ser displayed -> ok
org client: 10 active, 2 revoked, ser displayed -> ok
org server: 1 active, 1 revoked, ser displayed -> ok

Uli60

2011-09-26 00:04

updater   ~0002519

login to user: bug968.user1@wiamail.de

email view: lists 1 email
client certs view: lists 6 client certs
                   column SerialNumber
                   class1: 1090-1092
                   class3: 106b-106e
             => ok
view all client certs: lists 6 active, 1 revoked
                   column SerialNumber
                   class1: 1090-1092
                   class3: 106b-106e
             => ok

GPG keys view: lists 1 gpg key
                   column KeyID filled
             => ok

Domains view -> lists 1 active domain
             => ok

Server certs view: lists 6 active certs
                   column SerialNumber
                   class1: 1093-1096
                   class3: 106f-1072
             => ok
View all Server certs: 6 active, 2 revoked
                   column SerialNumber
                   class1: 1093-1096
                   class3: 106f-1072
             => ok

login to user: bug968.user2@wiamail.de

Org Client certs: lists 8 active
                   column SerialNumber
                   Class1: 1097-1099
                   class3: 1073-1077
             => ok
View all Org client certs: 8 active, 2 revoked
                   column SerialNumber
                   class1: 1097-109b
                   class3: 1073-1077
             => ok

Org Server certs: lists 8 active
                   column SerialNumber
                   class1: 109c-10a0
                   class3: 1078-107c
             => ok

all org server certs: lists 8 active, 2 revoked
                   column SerialNumber
                   class1: 109c-10a0
                   class3: 1078-107c
             => ok

login admin:
find user: bug968.user1@wiamail.de
Total Certificates Status
Certificates: Total Active Expired Revoked Latest Expire
Total domain-certificates: 8 6 0 2 2013-09-24
Total email-certificates: 7 6 0 1 2013-09-24
Total GPG keys: 1 1 0 2012-09-25
Org certificates: None
=> ok

find user: bug968.user2@wiamail.de
Total Certificates Status
Certificates: Total Active Expired Revoked Latest Expire
Total domain-certificates: None
Total email-certificates: None
Total GPG keys: None
Total org-domain-certificates: 10 8 0 2 2013-09-24
Total org-email-certificates: 10 8 0 2 2012-09-24
=> ok

admin console view has no detailed list over user certs.
SE needs to hijack the users account to view details view over
user created certs. So therefor admin console overview list
(w/o serialnumbers) is ok.

Uli60

2011-09-26 00:05

updater   ~0002520

reviewed by 1 SA
tested by 3 testers
ready to deploy after 2nd review

NEOatNHNG

2011-10-12 14:51

administrator   ~0002595

Reviewed, good to go, mail sent to critical team.

wytze

2011-10-12 15:20

developer   ~0002596

The fix has been installed on the production server on October 12, 2011. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2011-10/msg00007.html

Werner Dworak

2012-12-21 04:45

updater   ~0003496

More than 3 month fixed

Issue History

Date Modified Username Field Change
2008-08-15 19:35 C_A New Issue
2011-09-05 11:35 moh Note Added: 0002405
2011-09-05 11:46 moh Note Edited: 0002405 View Revisions
2011-09-05 11:46 moh File Added: 5-mit_serial.php
2011-09-05 11:53 moh Note Edited: 0002405 View Revisions
2011-09-05 11:57 moh File Added: 5-mit_serial_korrigiert.php
2011-09-05 12:10 moh Note Edited: 0002405 View Revisions
2011-09-05 12:10 moh File Added: 5-mit_serial_korrigiert2.php
2011-09-05 12:13 moh Note Added: 0002406
2011-09-05 12:13 moh Status new => fix available
2011-09-05 12:15 moh Note Edited: 0002406 View Revisions
2011-09-05 12:15 INOPIAE Note Added: 0002407
2011-09-05 14:20 Uli60 File Deleted: 5-mit_serial.php
2011-09-05 14:21 Uli60 File Deleted: 5-mit_serial_korrigiert.php
2011-09-06 22:02 Ted Reviewed by => Ted
2011-09-06 22:02 Ted Note Added: 0002415
2011-09-06 22:02 Ted Status fix available => needs review & testing
2011-09-06 22:03 Ted Note Added: 0002416
2011-09-06 22:05 Ted Source_changeset_attached => cacert-devel master 6b1b541a
2011-09-07 04:46 INOPIAE Note Added: 0002417
2011-09-07 07:42 moh File Added: account_12_mit_serial.php
2011-09-07 08:18 moh File Added: account_22_mit_serial.php
2011-09-07 08:36 moh File Added: account_18_mit_serial.php
2011-09-07 08:39 moh Note Added: 0002418
2011-09-07 08:40 moh Assigned To => INOPIAE
2011-09-07 08:42 moh Note Added: 0002419
2011-09-07 08:42 moh Status needs review & testing => fix available
2011-09-10 06:22 INOPIAE File Added: account 12.php
2011-09-10 06:22 INOPIAE File Added: account 18.php
2011-09-10 06:23 INOPIAE File Added: account 22.php
2011-09-10 06:23 INOPIAE File Deleted: account_18_mit_serial.php
2011-09-10 06:23 INOPIAE File Deleted: account_22_mit_serial.php
2011-09-10 06:23 INOPIAE File Deleted: account_12_mit_serial.php
2011-09-10 06:25 INOPIAE Note Added: 0002422
2011-09-10 06:26 INOPIAE Assigned To INOPIAE => Ted
2011-09-14 22:05 Ted Source_changeset_attached => cacert-devel master 85165ae0
2011-09-14 22:05 Ted Source_changeset_attached => cacert-devel master bc99d8a6
2011-09-14 22:06 Ted Note Added: 0002435
2011-09-14 22:06 Ted Status fix available => needs review & testing
2011-09-14 23:30 Uli60 Relationship added related to 0000782
2011-09-18 00:34 Uli60 Summary certificate serial => add column serial# in certs overviews (client, server, orgclient, orgserver)
2011-09-18 15:48 Uli60 Relationship added has duplicate 0000580
2011-09-18 21:46 Ted Assigned To Ted => NEOatNHNG
2011-09-18 21:58 Ted Note Added: 0002463
2011-09-20 07:07 moh Note Added: 0002468
2011-09-20 20:53 Ted Status needs review & testing => needs review
2011-09-22 02:08 Uli60 Note Added: 0002484
2011-09-22 02:10 Uli60 Note Edited: 0002484 View Revisions
2011-09-26 00:04 Uli60 Note Added: 0002519
2011-09-26 00:05 Uli60 Note Added: 0002520
2011-09-26 00:05 Uli60 Status needs review => ready to deploy
2011-09-27 23:12 NEOatNHNG Source_changeset_attached => cacert-devel testserver 3ab7c379
2011-10-12 14:51 NEOatNHNG Note Added: 0002595
2011-10-12 14:55 NEOatNHNG Source_changeset_attached => cacert-devel release 9fbc1a84
2011-10-12 15:20 wytze Note Added: 0002596
2011-10-12 15:20 wytze Status ready to deploy => solved?
2011-10-12 15:20 wytze Resolution open => fixed
2012-12-21 04:45 Werner Dworak Note Added: 0003496
2012-12-21 04:45 Werner Dworak Status solved? => closed
2013-01-15 02:50 Werner Dworak Fixed in Version => 2011 Q4